# UpcEanExtensionBehavior enum

Behavior when scanning UPC/EAN barcodes with EAN-2 or EAN-5 extensions.

Inheritance
  - Object
  - Enum
  - UpcEanExtensionBehavior
Available extensions
  - EnumName

## Values

REQUIRE_2 → const UpcEanExtensionBehavior

  Only barcodes with a 2-digit extension are accepted.

REQUIRE_5 → const UpcEanExtensionBehavior

  Only barcodes with a 5-digit extension are accepted.

REQUIRE_ANY → const UpcEanExtensionBehavior

  Only barcodes with either a 2-digit or a 5-digit extension are accepted.

IGNORE → const UpcEanExtensionBehavior

  Always ignore the extension.

ALLOW_2 → const UpcEanExtensionBehavior

  Return detected 2-digit extension if present, but do not require it. Ignore the 5-digit extension.

ALLOW_5 → const UpcEanExtensionBehavior

  Return detected 5-digit extension if present, but do not require it. Ignore the 2-digit extension.

ALLOW_ANY → const UpcEanExtensionBehavior

  Return any detected extension if present, but do not require it.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<UpcEanExtensionBehavior>
  A constant List of the values in this enum, in order of their declaration.